<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
if (isset($timestamp) AND $timestamp!='')
{
  $GigDateDay = date('d', $timestamp);
  $GigDateMonth = date('m', $timestamp);
  $GigDateYear = date('Y', $timestamp);
}
if ( $senden && testDoppelteGigs($GigDateDay, $GigDateMonth, $GigDateYear) && !getSetup('SetupAllowDoubleDates'))
{
  echo '<tr><td></td><td class="ErrorMessage">'.$L_For_this_day_is_a_date_already_entered.'<br />'.$L_If_necessary_Aactivate_double_dates_in_setup.'</td></tr>';
}
if ( $senden && !$GigDateDay )
{
  echo '<tr><td></td><td class="ErrorMessage">'.$L_062.'</td></tr>';
}
else
{
  if ( $senden && !$GigDateMonth )
  {
    echo '<tr><td></td><td class="ErrorMessage">'.$L_063.'</td></tr>';
  }
  else
  {
    if ( $senden && !$GigDateYear )
    {
      echo '<tr><td></td><td class="ErrorMessage">'.$L_064.'</td></tr>';
    }
    if ( $senden && $GigDateDay && $GigDateMonth && $GigDateYear && !checkGigDatum( $GigDateDay, $GigDateMonth, $GigDateYear) )
    {
      echo '<tr><td></td><td class="ErrorMessage">'.$L_065.'</td></tr>';
    }
  }              
}            
echo '
<tr>
  <td>'.$L_GigDate.':</td>
  <td>
    <input class="FeldGigDateDay" type="text" name="GigDateDay" maxlength="2" value="';echo $GigDateDay; echo '" />
    <input class="FeldGigDateMonth" type="text" name="GigDateMonth" maxlength="2" value="';echo $GigDateMonth; echo '" />
    <input class="FeldGigDateYear" type="text" name="GigDateYear" maxlength="04" value="';echo $GigDateYear; echo '" />
    (dd-mm-yyyy)
  </td>
  <td></td>
</tr>
';
?>
